> ## Documentation Index
> Fetch the complete documentation index at: https://docs.masivo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Read coupon wallet pass link

> Read the campaign Wallet link. Does not create a link or assign a coupon code. Pass campaign_id or the claim token.



## OpenAPI

````yaml GET /coupons/wallet-passes
openapi: 3.0.1
info:
  title: Masivo's REST API
  description: Learn how to use Masivo's REST API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.masivo.ai/api/storefront/v1
security:
  - bearerAuth: []
paths:
  /coupons/wallet-passes:
    get:
      tags:
        - Coupons
      description: >-
        Read the campaign Wallet link. Does not create a link or assign a coupon
        code. Pass campaign_id or the claim token.
      operationId: readCouponWalletPassLink
      parameters:
        - name: campaign_id
          in: query
          schema:
            type: string
            format: uuid
        - name: token
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Campaign Wallet link
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    required:
                      - campaign_id
                      - claim_url
                      - campaign_name
                      - header_text
                      - description
                      - barcode_format
                    properties:
                      campaign_id:
                        type: string
                        format: uuid
                      claim_url:
                        type: string
                      campaign_name:
                        type: string
                      header_text:
                        type: string
                      description:
                        type: string
                      barcode_format:
                        type: string
                        enum:
                          - QR
                          - CODE128
        '404':
          description: Wallet campaign link not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.